# GitTagTask

Extends \GitBaseTask

Wrapper around git-tag

Use \Project#createTask to register a new Task.

author | Evan Kaufman evan@digitalflophouse.com
author | Victor Farazdagi simple.square@gmail.com
version | $Id: d01c0f1426d0075ae04ff7c156452d08909e966a $
package | phing.tasks.ext.git
see |
since | 2.4.5

### Methods

## getAnnotate

    getAnnotate() : boolean

### Response

`boolean`

## getCommit

    getCommit() : string

### Response

`string`

## getContains

    getContains() : string

### Response

`string`

## getDelete

    getDelete() : boolean

### Response

`boolean`

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## getFile

    getFile() : string

### Response

`string`

## getGitClient

    getGitClient(boolean $reset = false, null $repository = null) : null|\VersionControl_Git

inherited

throws |

### Arguments

#### $reset

`boolean`

#### $repository

`null`

### Response

`null|\VersionControl_Git`

## Get path to git executable

    getGitPath() : string

inherited

### Response

`string`

## getKeySign

    getKeySign() : string

### Response

`string`

## getList

    getList() : boolean

### Response

`boolean`

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## getMessage

    getMessage() : string

### Response

`string`

## getName

    getName() : string

### Response

`string`

## getNum

    getNum() : integer

### Response

`integer`

## getObject

    getObject() : string

### Response

`string`

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## getPattern

    getPattern() : string

### Response

`string`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## getReplace

    getReplace() : boolean

### Response

`boolean`

## Get repository directory

    getRepository() : string

inherited

### Response

`string`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## getSign

    getSign() : boolean

### Response

`boolean`

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## getVerify

    getVerify() : boolean

### Response

`boolean`

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## isAnnotate

    isAnnotate() : boolean

### Response

`boolean`

## isDelete

    isDelete() : boolean

### Response

`boolean`

## isList

    isList() : boolean

### Response

`boolean`

## isReplace

    isReplace() : boolean

### Response

`boolean`

## isSign

    isSign() : boolean

### Response

`boolean`

## isVerify

    isVerify() : boolean

### Response

`boolean`

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## setAnnotate

    setAnnotate( $flag)

### Arguments

#### $flag

``

## setCommit

    setCommit( $commit)

### Arguments

#### $commit

``

## setContains

    setContains( $commit)

### Arguments

#### $commit

``

## setDelete

    setDelete( $flag)

### Arguments

#### $flag

``

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## setFile

    setFile( $file)

### Arguments

#### $file

``

## setForce

    setForce( $flag)

### Arguments

#### $flag

``

## Set path to git executable

    setGitPath(string $gitPath) : \GitBaseTask

inherited

### Arguments

#### $gitPath

`string`

New path to git repository

### Response

`\GitBaseTask`

## setKeySign

    setKeySign( $keyId)

### Arguments

#### $keyId

``

## setList

    setList( $flag)

### Arguments

#### $flag

``

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## setMessage

    setMessage( $msg)

### Arguments

#### $msg

``

## setName

    setName( $name)

### Arguments

#### $name

``

## setNum

    setNum( $num)

### Arguments

#### $num

``

## setObject

    setObject( $object)

### Arguments

#### $object

``

## setOutputProperty

    setOutputProperty( $prop)

### Arguments

#### $prop

``

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## setPattern

    setPattern( $pattern)

### Arguments

#### $pattern

``

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## setReplace

    setReplace( $flag)

### Arguments

#### $flag

``

## Set repository directory

    setRepository(string $repository) : \GitBaseTask

inherited

### Arguments

#### $repository

`string`

Repo directory

### Response

`\GitBaseTask`

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## setSign

    setSign( $flag)

### Arguments

#### $flag

``

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## setVerify

    setVerify( $flag)

### Arguments

#### $flag

``

### Properties

## Make unsigned, annotated tag object. See -a of git-tag

    annotate : boolean

var |

### Type(s)

`boolean`

## Make GPG-signed tag. See -s of git-tag

    sign : boolean

var |

### Type(s)

`boolean`

## Make GPG-signed tag, using given key. See -u of git-tag

    keySign : string

var |

### Type(s)

`string`

## Replace existing tag with given name. See -f of git-tag

    replace : boolean

var |

### Type(s)

`boolean`

## Delete existing tags with given names. See -d of git-tag

    delete : boolean

var |

### Type(s)

`boolean`

## Verify gpg signature of given tag names. See -v of git-tag

    verify : boolean

var |

### Type(s)

`boolean`

## List tags with names matching given pattern. See -l of git-tag

    list : boolean

var |

### Type(s)

`boolean`

## <num> specifies how many lines from the annotation, if any, are printed when using -l. See -n of git-tag

    num : integer

var |

### Type(s)

`integer`

## Only list tags containing specified commit. See --contains of git-tag

    contains : string

var |

### Type(s)

`string`

## Use given tag message. See -m of git-tag

    message : string

var |

### Type(s)

`string`

## Take tag message from given file. See -F of git-tag

    file : string

var |

### Type(s)

`string`

## <tagname> argument to git-tag

    name : string

var |

### Type(s)

`string`

## <commit> argument to git-tag

    commit : string

var |

### Type(s)

`string`

## <object> argument to git-tag

    object : string

var |

### Type(s)

`string`

## <pattern> argument to git-tag

    pattern : string

var |

### Type(s)

`string`

## Property name to set with output value from git-tag

    outputProperty : string

var |

### Type(s)

`string`

## Bath to git binary

    gitPath : string

inherited

var |

### Type(s)

`string`

## gitClient

    gitClient : \VersionControl_Git

inherited

var |

### Type(s)

`\VersionControl_Git`

## Current repository directory

    repository : string

inherited

var |

### Type(s)

`string`

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`